Make categories more required-looking
Closed, ResolvedPublic

Description

From [[:commons:VP]] (https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2013/06#About_the_Upload_Wizard):

Most newbies also don't add any categories, because the upload wizard is not recommending it. If no categories is given, the upload wizard should be giving for example a warning in a red box or with red text that categories should be given.

We obviously can't make categories *required*, since they aren't required, but having better notification of the importance of the field would be good.

Proposed warning popup:

See Also:
T33292: Make Category permanently visible, not obscured behind a "more options" link
T39127: UW will not create a category but it tells so

Details

Reference
bz49710
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz49710.

Mark, linking to the section would be helpful.

Maybe a dialog saying:

"Are you sure you want to proceed without adding any categories?
Adding a category is recommended for blah blah reasons."

with options: "Yes, No" could be used.

Related URL: https://gerrit.wikimedia.org/r/69284 (Gerrit Change I72ed4a357d09d7ba5b1ebf5cb6e19f580f4860ea)

Oh, ack.

So, I +2ed this change and Jenkins will merge it, but ideally we should come back and make this configurable per-wiki, so that wikis not using categories can remove the dialog. DO NOT CLOSE THIS BUG unless that's done.

It would make sense to make the categories required, *if* we also made the description /not/ required at the same time. (As asked e.g. at https://commons.wikimedia.org/w/index.php?title=Commons:Upload_Wizard_feedback&diff=prev&oldid=132609261 )

However, to avoid running in the same problems as with bug 49709, the category system should first be multilingual. :O

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:39 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:39 PM

This functionality was subsequently broken soon after being introduced by T52352 / https://gerrit.wikimedia.org/r/71277 (the category "Uploaded with UploadWizard", which is added to all uploads, is counted and thus UW thinks all uploads have a category added). No one saw the dialog added here in the past two years. Is this functionality still desired and should I fix it, or should I remove the dead code?

matmarex claimed this task.Sep 18 2015, 1:12 PM

Change 239418 had a related patch set uploaded (by Bartosz Dziewoński):
Unbreak confirmation of no categories being set

https://gerrit.wikimedia.org/r/239418

Is this functionality still desired and should I fix it, or should I remove the dead code?

I think several users still desire it, but there never was clarity on a consensus. Hence, it's useful to fix it, but even better would be to keep it disabled by default and let a new discussion decide whether to use it on Commons.

matej_suchanek set Security to None.
matmarex updated the task description. (Show Details)Sep 24 2015, 2:39 PM
El_Grafo moved this task from Incoming to Uploading on the Commons board.

Change 239418 merged by jenkins-bot:
Unbreak confirmation of no categories being set

https://gerrit.wikimedia.org/r/239418

matmarex closed this task as Resolved.Sep 28 2015, 2:39 PM
matmarex removed a project: Patch-For-Review.

This change will be deployed to Commons this Wednesday.

Quiddity moved this task from Archive to In current Tech/News draft on the User-notice board.